#pragma once
#include "Entity.h"
#define CS_ENEMY_FIREWHIRRR_CREATENAME L"CS_enemy_firewhirrr"
//µÐÈË£º·ç»ðÂÖ
class CS_Enemy_FireWhirrr :
    public Entity
{
public:
    CS_Enemy_FireWhirrr();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int act_wait = 0;
    int ani_wait = 0;
    int count1 = 0;
    float tgt_y = 0;
    bool bHorizontal = false;
};

std::shared_ptr<Entity> CreateCS_Enemy_FireWhirrr();